setlocal noexpandtab
setlocal softtabstop=0
setlocal shiftwidth=8
setlocal tabstop=8
setlocal textwidth=67
setlocal colorcolumn=70
setlocal formatoptions+=w
setlocal complete+=kspell
setlocal spell spelllang=es

" Spellcheck
nnoremap <buffer> <silent> <F7> [s
nnoremap <buffer> <silent> <F8> ]s
nnoremap <buffer> <silent> <F9> z=
nnoremap <buffer> <silent> <F10> z=1<CR><CR>
nnoremap <buffer> <silent> <F11> zg
inoremap <buffer> <C-l> <c-g>u<Esc>[s1z=`]a<c-g>u

lua require'cmp'.setup.buffer({sources = {{ name = 'spell' }}})
