local types = require("luasnip.util.types")

require("luasnip").config.setup({
	ext_opts = {
		[types.choiceNode] = {
			active = {
				virt_text = { { "●", "GruvboxOrange" } },
			},
		},
		[types.insertNode] = {
			active = {
				virt_text = { { "●", "DiffDelete" } },
			},
		},
	},
})

-- Loading any vscode snippets from plugins
require("luasnip.loaders.from_vscode").lazy_load()
