local disabled_builtin_plugins = {
	"man",
	"gzip",
	"zip",
	"zipPlugin",
	"tar",
	"tarPlugin",
	"getscript",
	"getscriptPlugin",
	"vimball",
	"vimballPlugin",
	"2html_plugin",
	"logipat",
	"rrhelper",
	"matchit",
}

for _, plugin in pairs(disabled_builtin_plugins) do
	vim.g["loaded_" .. plugin] = 1
end

local disabled_providers = {
	"ruby",
	"node",
	"python",
	"perl",
}

for _, provider in pairs(disabled_providers) do
	vim.g["loaded_" .. provider .. "_provider"] = 0
end

vim.g.python3_host_prog = "/bin/python3"
